import request from '@/utils/request'

// 查询客户联系人信息列表
export function listContact(query) {
  return request({
    url: '/customer/customerContact/list',
    method: 'get',
    params: query
  })
}

// 查询客户联系人信息详细
export function getContact(id) {
  return request({
    url: '/customer/customerContact/' + id,
    method: 'get'
  })
}

// 新增客户联系人信息
export function addContact(data) {
  return request({
    url: '/customer/customerContact',
    method: 'post',
    data: data
  })
}

// 修改客户联系人信息
export function updateContact(data) {
  return request({
    url: '/customer/customerContact',
    method: 'put',
    data: data
  })
}

// 删除客户联系人信息
export function delContact(ids) {
  return request({
    url: '/customer/customerContact/' + ids,
    method: 'delete'
  })
}
